package main

import (
	"log"
	"os"

	"git.netflux.io/rob/esbot/internal/http"
)

func main() {
	accessToken := os.Getenv("ACCESS_TOKEN")
	if accessToken == "" {
		log.Fatal("missing ACCESS_TOKEN")
	}

	listenAddr := os.Getenv("LISTEN_ADDR")
	if listenAddr == "" {
		log.Fatal("missing LISTEN_ADDR")
	}

	insecureTLS := os.Getenv("INSECURE_TLS") == "yes"

	log.Fatal(http.ListenAndServe(listenAddr, accessToken, insecureTLS))
}
